// Basic Lights

datablock fxLightData(RedLightDark)
{
	uiName = "Red Light Dark";

	LightOn = true;
	radius = 15;
	brightness = -5;
	color = "1 0 0 1";

	flareOn = true;
	flarebitmap = "no";
	NearSize	= 2;
	FarSize = 1;
};

datablock fxLightData(OrangeLightDark : RedLightDark)
{
	uiName = "Orange Light Dark";
	color = "1 0.5 0 1";
};
datablock fxLightData(YellowLightDark : RedLightDark)
{
	uiName = "Yellow Light Dark";
	color = "1 1 0 1";
};
datablock fxLightData(GreenLightDark : RedLightDark)
{
	uiName = "Green Light Dark";
	color = "0 1 0 1";
};
datablock fxLightData(CyanLightDark : RedLightDark)
{
	uiName = "Cyan Light Dark";
	color = "0 1 1 1";
};
datablock fxLightData(BlueLightDark : RedLightDark)
{	
	uiName = "Blue Light Dark";
	color = "0 0 1 1";
};
datablock fxLightData(PurpleLightDark : RedLightDark)
{	
	uiName = "Purple Light Dark";
	color = "0.5 0 1 1";
};

datablock fxLightData(Darkest)
{
	uiName = "Darkest";

	LightOn = true;
	radius = 20;
	brightness = -15;
	color = "0.8 0.9 1 1";

	FlareOn			= true;
	FlareTP			= true;
	Flarebitmap		= "no";
	FlareColor		= "1 1 1";
	ConstantSizeOn	= false;
	ConstantSize	= 1;
	NearSize		= 1.8;
	FarSize			= 0.9;
	NearDistance	= 10.0;
	FarDistance		= 30.0;
	FadeTime		= 0.1;
	BlendMode		= 0;

	AnimColor		= false;
	AnimBrightness	= false;
	AnimOffsets		= false;
	AnimRotation	= false;
	LinkFlare		= true;
	LinkFlareSize	= false;
	MinColor		= "0 0 0";
	MaxColor		= "1 1 1";
	MinBrightness	= 0.0;
	MaxBrightness	= 1.0;
	MinRadius		= 0.1;
	MaxRadius		= 20;
	StartOffset		= "-5 0 0";
	EndOffset		= "5 0 0";
	MinRotation		= 0;
	MaxRotation		= 359;

	SingleColorKeys	= true;
	RedKeys			= "AZA";
	GreenKeys		= "AZA";
	BlueKeys		= "AZA";
	
	BrightnessKeys	= "AZA";
	RadiusKeys		= "AZA";
	OffsetKeys		= "AZA";
	RotationKeys	= "AZA";

	ColorTime		= 5.0;
	BrightnessTime	= 5.0;
	RadiusTime		= 5.0;
	OffsetTime		= 5.0;
	RotationTime	= 5.0;

	LerpColor		= true;
	LerpBrightness	= true;
	LerpRadius		= true;
	LerpOffset		= true;
	LerpRotation	= true;
};
